<?php

if ( post_password_required() ) return; ?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ): ?>

		<p class="comments-title">
			<?php
			$commentsNumber = get_comments_number();
			if ( '1' === $commentsNumber ) {
				/* translators: %s: post title */
				printf( esc_html( _x( 'One Comment to &ldquo;%s&rdquo;', 'comments title', 'ghost-lite' ) ), get_the_title() );
			} else {
				printf(
					/* translators: 1: number of comments, 2: post title */
					esc_html( _nx( '%1$s Reply to &ldquo;%2$s&rdquo;', '%1$s Replies to &ldquo;%2$s&rdquo;', $commentsNumber, 'comments title', 'ghost-lite' ) ),
					number_format_i18n( $commentsNumber ),
					'<span class="comment__post__title">' . get_the_title() . '</span>'
				);
			}
			?>
		</p>

		<ul class="comment-list">
			<?php
			$args = array(
				'walker'            => null,
				'max_depth'         => '',
				'style'             => 'ul',
				'callback'          => null,
				'end-callback'      => null,
				'type'              => 'all',
				'replay_text'       => esc_html__( 'Reply', 'ghost-lite' ),
				'page'              => '',
				'per_page'          => '',
				'avatar_size'       => 72,
				'reverse_top_level' => null,
				'rever_children'    => '',
				'format'            => '',
				'short_ping'        => false,
				'echo'              => true
			);
			wp_list_comments( $args );
			?>
		</ul>

		<nav class="navigation comment-navigation" role="navigation">
			<h2 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'ghost-lite' ); ?></h2>
			<div class="nav-links">
				<div class="nav-previous">
					<?php previous_comments_link( esc_html__( 'Older Comments', 'ghost-lite' ) ); ?>
				</div>
				<div class="nav-next">
					<?php next_comments_link( esc_html__( 'Newer Comments', 'ghost-lite' ) ); ?>
				</div>
			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-below -->

		<?php if ( !comments_open() && get_comments_number() ): ?>
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'ghost-lite' ) ?></p>
		<?php endif; ?>

	<?php endif; ?>

<?php comment_form(); ?>

</div><!-- .comments-area -->