<?php

function ghost_lite_the_breadcrumb() {

	$text['home'] = esc_html__('Home', 'ghost-lite');
	$text['blog'] = esc_html__('Blog', 'ghost-lite');
	$text['category'] = '%s';
	/* translators: %s: search query */
	$text['search'] = esc_html__('Search results for: "%s"', 'ghost-lite');
	/* translators: %s: tag name */
	$text['tag'] = esc_html__('Posts taged "%s"', 'ghost-lite');
	/* translators: %s: author name */
	$text['author'] = esc_html__('Posts by author %s', 'ghost-lite');
	$text['404'] = esc_html__('Error 404', 'ghost-lite');
	/* translators: %s: page number */
	$text['page'] = esc_html__('Page %s', 'ghost-lite');
	/* translators: %s: comments page number */
	$text['cpage'] = esc_html__('Comments page %s', 'ghost-lite');

	$wrap_before = '<div class="bredcrumbs__container" itemscope itemtype="http://schema.org/BreadcrumbList">';
	$sep = '<span class="bredcrumb__separator"><span class="vissage-icon vissage-angle-right"></span></span>';
	$before = '<span class="breadcrumbs__current">';
	$after = '</span>';
	$wrap_after = '</div><!-- .breadcrumbs -->';

	$show_on_home = 1;
	$show_home_link = 1;
	$show_current = 1;
	$show_last_sep = 1;

	global $post;
	$home_url = esc_url(home_url('/'));

	$link = '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">';
	$link .= '<a class="breadcrumbs__link" href="%1$s" itemprop="item"><span itemprop="name">%2$s</span></a>';
	$link .= '<meta itemprop="position" content="%3$s" />';
	$link .= '</span>';

	$parent_id = ( $post ) ? $post->post_parent : '';
	$home_link = sprintf( $link, $home_url, $text['home'], 1 );

	/*
		Breadcrumbs
		----------------------------
	*/
	if ( is_front_page() ) {  //  main page

		if ( $show_on_home ) echo $wrap_before . $home_link . $wrap_after;
	// if ( $show_on_home ) echo $wrap_before . $text['home'] . $wrap_after;

	} elseif ( is_home() ) {  //  blog page (index.php)

		if ( $show_home_link ) {
			echo $wrap_before . $home_link . $sep . $text['blog'] . $wrap_after;
		}

	} else {

		$position = 0;

		echo $wrap_before;

		if ( $show_home_link ) {
			$position += 1;
			echo $home_link;
		}

		if ( is_category() ) {
			$parents = get_ancestors( esc_html(get_query_var('cat')), 'category' );
			foreach ( array_reverse( $parents ) as $cat ) {
				$position += 1;
				if ( $position > 1 ) echo $sep;
				echo sprintf( $link, esc_url(get_category_link( $cat )), esc_html(get_cat_name( $cat )), esc_attr($position) );
			}
			if ( get_query_var( 'paged' ) ) {
				$position += 1;
				$cat = get_query_var('cat');
				echo $sep . sprintf( $link, esc_url(get_category_link( $cat )), esc_html(get_cat_name( $cat )), esc_attr($position) );
				echo $sep . $before . sprintf( $text['page'], esc_html(get_query_var( 'paged' )) ) . $after;
			} else {
				if ( $show_current ) {
					if ( $position >= 1 ) echo $sep;
					echo $before . sprintf( $text['category'], single_cat_title( '', false ) ) . $after;
				} elseif ( $show_last_sep ) echo $sep;
			}

		} elseif ( is_search() ) {
			if ( get_query_var( 'paged' ) ) {
				$position += 1;
				if ( $show_home_link ) echo $sep;
				echo sprintf( $link, $home_url . '?s=' . get_search_query(), sprintf( $text['search'], get_search_query() ), esc_attr($position) );
				echo $sep . $before . sprintf( $text['page'], esc_html(get_query_var( 'paged' )) ) . $after;
			} else {
				if ( $show_current ) {
					if ( $position >= 1 ) echo $sep;
					echo $before . sprintf( $text['search'], get_search_query() ) . $after;
				} elseif ( $show_last_sep ) echo $sep;
			}

		} elseif ( is_single() && ! is_attachment() ) {
			if ( get_post_type() != 'post' ) {
				$position += 1;
				$post_type = get_post_type_object( get_post_type() );
				if ( $position > 1 ) echo $sep;
				echo sprintf( $link, esc_url(get_post_type_archive_link( $post_type->name )), esc_html($post_type->labels->name), esc_attr($position) );
				if ( $show_current ) echo $sep . $before . esc_html(get_the_title()) . $after;
				elseif ( $show_last_sep ) echo $sep;
			} else {
				$cat = get_the_category(); $catID = $cat[0]->cat_ID;
				$parents = get_ancestors( $catID, 'category' );
				$parents = array_reverse( $parents );
				$parents[] = $catID;
				foreach ( $parents as $cat ) {
					$position += 1;
					if ( $position > 1 ) echo $sep;
					echo sprintf( $link, esc_url(get_category_link( $cat )), esc_html(get_cat_name( $cat )), esc_attr($position) );
				}
				if ( get_query_var( 'cpage' ) ) {
					$position += 1;
					echo $sep . sprintf( $link, esc_url(get_permalink()), esc_html(get_the_title()), esc_attr($position) );
					echo $sep . $before . sprintf( $text['cpage'], get_query_var( 'cpage' ) ) . $after;
				} else {
					if ( $show_current ) echo $sep . $before . esc_html(get_the_title()) . $after;
					elseif ( $show_last_sep ) echo $sep;
				}
			}

		} elseif ( is_post_type_archive() ) {
			$post_type = get_post_type_object( get_post_type() );
			if ( get_query_var( 'paged' ) ) {
				$position += 1;
				if ( $position > 1 ) echo $sep;
				echo sprintf( $link, esc_url(get_post_type_archive_link( $post_type->name )), esc_html($post_type->label), esc_attr($position) );
				echo $sep . $before . sprintf( $text['page'], esc_html(get_query_var( 'paged' )) ) . $after;
			} else {
				if ( $show_home_link && $show_current ) echo $sep;
				if ( $show_current ) echo $before . esc_html($post_type->label) . $after;
				elseif ( $show_home_link && $show_last_sep ) echo $sep;
			}

		} elseif ( is_attachment() ) {
			$parent = get_post( $parent_id );
			$cat = get_the_category( $parent->ID ); $catID = $cat[0]->cat_ID;
			$parents = get_ancestors( $catID, 'category' );
			$parents = array_reverse( $parents );
			$parents[] = $catID;
			foreach ( $parents as $cat ) {
				$position += 1;
				if ( $position > 1 ) echo $sep;
				echo sprintf( $link, esc_url(get_category_link( $cat )), esc_html(get_cat_name( $cat )), esc_attr($position) );
			}
			$position += 1;
			echo $sep . sprintf( $link, esc_url(get_permalink( $parent )), esc_html($parent->post_title), esc_attr($position) );
			if ( $show_current ) echo $sep . $before . esc_html(get_the_title()) . $after;
			elseif ( $show_last_sep ) echo $sep;

		} elseif ( is_page() && ! $parent_id ) {
			if ( $show_home_link && $show_current ) echo $sep;
			if ( $show_current ) echo $before . esc_html(get_the_title()) . $after;
			elseif ( $show_home_link && $show_last_sep ) echo $sep;

		} elseif ( is_page() && $parent_id ) {
			$parents = get_post_ancestors( get_the_ID() );
			foreach ( array_reverse( $parents ) as $pageID ) {
				$position += 1;
				if ( $position > 1 ) echo $sep;
				echo sprintf( $link, esc_url(get_page_link( $pageID )), esc_html(get_the_title( $pageID )), esc_attr($position) );
			}
			if ( $show_current ) echo $sep . $before . esc_html(get_the_title()) . $after;
			elseif ( $show_last_sep ) echo $sep;

		} elseif ( is_tag() ) {
			if ( get_query_var( 'paged' ) ) {
				$position += 1;
				$tagID = esc_html(get_query_var( 'tag_id' ));
				echo $sep . sprintf( $link, esc_url(get_tag_link( $tagID )), esc_html(single_tag_title( '', false )), esc_attr($position) );
				echo $sep . $before . sprintf( $text['page'], esc_html(get_query_var( 'paged' )) ) . $after;
			} else {
				if ( $show_home_link && $show_current ) echo $sep;
				if ( $show_current ) echo $before . sprintf( $text['tag'], esc_html(single_tag_title( '', false )) ) . $after;
				elseif ( $show_home_link && $show_last_sep ) echo $sep;
			}

		} elseif ( is_author() ) {
			$author = get_userdata( esc_html(get_query_var( 'author' )) );
			if ( get_query_var( 'paged' ) ) {
				$position += 1;
				echo $sep . sprintf( $link, esc_url(get_author_posts_url( $author->ID )), sprintf( $text['author'], esc_html($author->display_name) ), esc_attr($position) );
				echo $sep . $before . sprintf( $text['page'], esc_html(get_query_var( 'paged' )) ) . $after;
			} else {
				if ( $show_home_link && $show_current ) echo $sep;
				if ( $show_current ) echo $before . sprintf( $text['author'], esc_html($author->display_name) ) . $after;
				elseif ( $show_home_link && $show_last_sep ) echo $sep;
			}

		} elseif ( is_404() ) {
			if ( $show_home_link && $show_current ) echo $sep;
			if ( $show_current ) echo $before . $text['404'] . $after;
			elseif ( $show_last_sep ) echo $sep;

		} elseif ( has_post_format() && ! is_singular() ) {
			if ( $show_home_link && $show_current ) echo $sep;
			echo esc_html(get_post_format_string( get_post_format() ));
		}

		echo $wrap_after;

	}

}
