window.addEventListener('load', function() {



	/*
		Set page background height
		==============================
	*/

	var page_bg = document.querySelector('.page__background');

	function setPageBgHeight() {
		page_bg.style.height = ( window.innerWidth < 1025 ) ? window.innerHeight + 56 + 'px' : '100vh';
	}
	setPageBgHeight();

	var window_width = window.innerWidth;

	window.addEventListener('resize', function() {
		if ( window_width != window.innerWidth ) {
			setPageBgHeight();
			window_width = window.innerWidth;
		}
	});



	/*
		Add sticky to header on scroll
		==============================
	*/

	var header = document.querySelector('.header__main');

	if ( header.classList.contains('be__sticky') ) {

		var top_bar_height = document.querySelector('.header__top__bar') ? document.querySelector('.header__top__bar').offsetHeight : 0;

		window.addEventListener('scroll', function() {

			if ( top_bar_height < window.pageYOffset ) {
				header.classList.add('sticky');
			} else {
				header.classList.remove('sticky');
			}

		});

	}



	/*
		Show mobile menu
		==============================
	*/

	var nav_bar = document.querySelector('nav.nav');
	var mobile_trigger = document.querySelector('.mobile_trigger');


	mobile_trigger.addEventListener('click', function() {

		this.classList.toggle('active');
		nav_bar.classList.toggle('active');

	});



	/*
		Show search
		==============================
	*/

	var search_trigger = document.querySelector('.search__trigger');
	var search_container = document.querySelector('.search__container');


	search_trigger.addEventListener('click', function() {

		this.classList.toggle('active');
		search_container.classList.toggle('active');

		if ( this.classList.contains('active') ) {
			setTimeout(function() {
				search_container.querySelector('input[type="search"]').focus();
			}, 260);
		}

	});

	search_container.addEventListener('mousewheel', function(e) {
		e.preventDefault();
	});



	/*
		Focusing menu items
		==============================
	*/

	var submenu_item_links = document.querySelectorAll('.header__inner__wrapper .menu-item.menu-item-has-children > .sub-menu li a');

	submenu_item_links.forEach(function(menu_link) {
		menu_link.addEventListener('focus', function() {
			this.parentNode.parentNode.classList.add('visible');
			this.classList.add('focused');
		});
		menu_link.addEventListener('focusout', function() {
			this.classList.remove('focused');
			setTimeout(function() {
				if ( !document.querySelector('.header__inner__wrapper .sub-menu a.focused') ) {
					document.querySelectorAll('.sub-menu.visible').forEach(function(sub_menu) {
						sub_menu.classList.remove('visible');
					});
				}
			}, 100);
		});
	});



	/*
		Mega menu position
		==============================
	*/

	var ghost_menus = document.querySelectorAll('.ghost-mega-menu > .sub-menu');
	var container = document.querySelector('.container');

	if ( window.innerWidth > 1024 && document.querySelector('.ghost-mega-menu') ) {

		ghost_menus.forEach(function(gm) {

			var gm_parent = gm.parentNode;
			var gm_right = gm.offsetWidth + container.offsetLeft - gm_parent.offsetLeft - gm_parent.offsetWidth;
			gm.style.right = -gm_right +'px';

		});
		
	}



	/*
		Add sub element to menu items with children
		==============================
	*/

	var menu_items_wc = document.querySelectorAll('.header__inner__wrapper .menu .menu-item-has-children > a');

	menu_items_wc.forEach(function(menu_item_wc) {

		menu_item_wc.insertAdjacentHTML('afterEnd', '<span class="mob_menu_arrow hide_over_1025"></span>');

	});

	menu_item_height = 42;


	document.querySelectorAll('span.mob_menu_arrow').forEach(function(mob_menu_arrow) {

		mob_menu_arrow.addEventListener('click', function() {
			this.parentNode.classList.toggle('active');

			// new anim effect begin

			var current_sub_menu = this.parentNode.querySelector('.sub-menu');
			var current_sub_menu_items = current_sub_menu.querySelectorAll('.sub-menu > .menu-item');
			var current_sub_menu_items_count = 0;

			current_sub_menu_items.forEach(function(current_sub_menu_item) {
				if ( current_sub_menu_item.parentNode === current_sub_menu ) current_sub_menu_items_count++;
			});

			if ( this.parentNode.classList.contains('active') ) {

				// только при открытии
				current_sub_menu.style.height = 0 + 'px';
				current_sub_menu.style.height = current_sub_menu_items_count*menu_item_height + 'px';
				setTimeout(function() {
					current_sub_menu.style.height = 'auto';
				}, 260);

			} else {

				// только при закрытии
				current_sub_menu.style.height = current_sub_menu_items_count*menu_item_height + 'px';
				setTimeout(function() {
					current_sub_menu.style.height = 0 + 'px';
				}, 26);

			}
			
			// new anim effect end

		});

	});



	/*
		Sidebar
		==============================
	*/

	var sidebar = document.querySelector('.sidebar');

	if ( sidebar ) {

		var sidebar_title = document.querySelector('.sidebar__title');

		sidebar_title.addEventListener('click', function() {

			sidebar.classList.toggle('active');

		});

	}



	/*
		Fix skip link focus in IE11.
		==============================
	*/

	/(trident|msie)/i.test(navigator.userAgent)&&document.getElementById&&window.addEventListener&&window.addEventListener("hashchange",function(){var t,e=location.hash.substring(1);/^[A-z0-9_-]+$/.test(e)&&(t=document.getElementById(e))&&(/^(?:a|select|input|button|textarea)$/i.test(t.tagName)||(t.tabIndex=-1),t.focus())},!1);
	


});